/**
@author:fugy
@date:2018.09.27
@info:项目报警条目api
 */
import httputils from '@/utils/httputils'
const api = {
    //选择问题接口
    getProblemList(params) {
        return new Promise((resolve, reject) => {
            httputils.postJson(
                '/server/workorder/generalProblem/problem/query',
                params,
                res => {
                    resolve(res)
                },
                fail => {
                    reject(fail)
                },
                err => {
                    reject(err)
                }
            )
        })
    },
    // 获取对象实例的数目
    getProjectExampleNum(params) {
        return new Promise((resolve, reject) => {
            httputils.getJson(
                '/server/alarm/config/result/listProjectConfigsResultNums',
                params,
                res => {
                    if (res.result == 'success') {
                        resolve(res)
                    }
                },
                fail => {
                    reject(fail)
                },
                err => {
                    reject(err)
                }
            )
        })
    },
    // 获取项目的列表数据
    getListData(params) {
        return new Promise((resolve, reject) => {
            httputils.postJson(
                '/server/alarm/config/result/query',
                params,
                res => {
                    if (res.result == 'success') {
                        resolve(res)
                    }
                },
                fail => {
                    reject(fail)
                },
                err => {
                    reject(err)
                }
            )
        })
    },
    //修改开关状态
    switchStatus(params) {
        return new Promise((resolve, reject) => {
            httputils.postJson(
                '/server/alarm/config/result/updateProjectConfigResultOpenStatus',
                params,
                res => {
                    if (res.result == 'success') {
                        resolve(res)
                    }
                },
                fail => {
                    reject(fail)
                },
                err => {
                    reject(err)
                }
            )
        })
    },
    // 更新或者批量适用于
    updateBatch(params) {
        return new Promise((resolve, reject) => {
            httputils.postJson(
                '/server/alarm/config/result/update',
                params,
                res => {
                    resolve(res)
                },
                fail => {
                    reject(fail)
                },
                err => {
                    reject(err)
                }
            )
        })
    },
    // 获取自定义信息点的数据列表
    getCustomInfoListData(params) {
        return new Promise((resolve, reject) => {
            httputils.getJson(
                '/server/dataplatform/custom_infocode/query_property',
                params,
                res => {
                    if (res.result === 'success') {
                        resolve(res.data || [])
                    }
                },
                fail => {
                    reject(fail)
                },
                err => {
                    reject(err)
                }
            )
        })
    },
    // 通过根据Id批量获取各物理实体
    getApplyObjInfo(projectId, data) {
        return new Promise((resolve, reject) => {
            httputils.postJson(
                '/server/dataplatform/object/batchquery?projectId=' + projectId,
                data,
                res => {
                    if (res.Result === 'success') {
                        resolve(res.Content || [])
                    }
                },
                fail => {
                    reject(fail)
                },
                err => {
                    reject(err)
                }
            )
        })
    }
}
export default api
